﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.SignalR.Client;
using Squirrowse.Core.Models;

namespace Squirrowse.Core.Services
{
    public interface IConnectionManager
    {
        Task<HubConnection> GetConnection();
        Task InitConnection(ConnectionType type);
        Task Disconnect();
    }
}