﻿using System.Collections.Generic;
using System.Threading.Tasks;
using Squirrowse.Core.Models;

namespace Squirrowse.Service.Hubs
{
    public interface IStreamManager
    {
        Task AddUser(string connectionId, string agentName,ConnectionType type);
        Task RemoveUserbyConnectionId(string connectionId);
        Task RemoveUserByUserName(string agentName);
        IEnumerable<User> getServerSideUsers(); 
        bool CheckUser(string agentName);
        IEnumerable<User> getClientSideUsers();
        IEnumerable<User> getAllUsers();
    }
}